Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981520 - source all files in /etc/gdbinit.d
Summary: source all files in /etc/gdbinit.d
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-05 03:38 UTC by Adam Goode
Modified: 2013-09-09 08:30 UTC (History)
7 users (show)

Fixed In Version: gdb-7.6.1-39.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-09 08:30:22 UTC


Attachments (Terms of Use)

Description Adam Goode 2013-07-05 03:38:26 UTC
Description of problem:
gdb doesn't load all the files in /etc/gdbinit.d


Version-Release number of selected component (if applicable):
gdb-7.6-30.fc19.x86_64


There is part of a solution here:
http://stackoverflow.com/questions/11851499/gdb-automatically-load-python-script


/etc/gdbinit should be:
source /etc/gdbinit.py

/etc/gdbinit.py should be something like:
import glob
files = glob.iglob('/etc/gdbinit.d/*')
for f in files:
  gdb.execute('source %s' % f)

Comment 1 Jan Kratochvil 2013-07-05 07:59:07 UTC
This is unrelated to Bug 981356.

Comment 2 Jan Kratochvil 2013-09-09 08:30:22 UTC
* Fri Aug 30 2013 Jan Kratochvil <jan.kratochvil@redhat.com> - 7.6.1-39.fc19
- Load /etc/gdbinit.d/*.{gdb,py} files automatically (BZ 981520).


Note You need to log in before you can comment on or make changes to this bug.